#!/bin/sh

name="stunnel"
title="stunnel"
package="stunnel"
version="4.04"
build="1.1"
noarch="n"
build_info="Standard build."

info="An SSL encryption wrapper."
desc="The stunnel program is designed to work as an SSL
encryption wrapper between remote client and local
(inetd-startable) or remote server. It can be used
to add SSL functionality to commonly used inetd
daemons like POP2, POP3, and IMAP servers without
any changes in the programs' code. It will negotiate
an SSL connection using the OpenSSL or SSLeay
libraries. It calls the underlying crypto libraries,
so stunnel supports whatever cryptographic algorithms
you compiled into your crypto package."
category="net/server/wrapper"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,BUGS,COPYING,COPYRIGHT.GPL,CREDITS,ChangeLog,INSTALL,NEWS,PORTS,README,TODO,doc/{stunnel{.pl,}.html,{en,pl}/*}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://stunnel.mirt.net/stunnel/$name-$version.tar.gz

apply_patch notools
apply_patch conf

configure_option --prefix=/usr
configure_option --sysconfdir=/etc
configure_option --localstatedir=/var

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

( cd $pkg_main/usr/man/man8
mkdir pl
mv stunnel.pl.8 pl/stunnel.8 )

rm -rf $pkg_main/usr/share

mkdir -p $pkg_main/var/run/stunnel

copy tools/stunnel.conf-sample $pkg_main/etc/stunnel
copy tools/stunnel.cnf $pkg_main/usr/share/stunnel
copy $src_pkg/mkcert.sh $pkg_main/usr/share/stunnel
chmod 755 $pkg_main/usr/share/stunnel/mkcert.sh

make_docs

make_package main

clean_up

# $Log: stunnel.builder,v $
# Revision 1.1  2003/06/09 17:51:13  swiergot
# - Initial release.
# - Version 4.04.
#
